using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace ZXDT.CallCenter.BLL
{
    /// <summary>
    /// T_Call_MeetingItems
    /// </summary>
    public partial class T_Call_MeetingItems
    {
        private readonly ZXDT.CallCenter.DAL.T_Call_MeetingItems dal = new ZXDT.CallCenter.DAL.T_Call_MeetingItems();
        public T_Call_MeetingItems()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_MeetingItemId)
        {
            return dal.Exists(F_MeetingItemId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(ZXDT.CallCenter.Model.T_Call_MeetingItems model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Call_MeetingItems model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool UpdateAddMemberByItemId(ZXDT.CallCenter.Model.T_Call_MeetingItems model)
        {
            return dal.UpdateAddMemberByItemId(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool UpdateAddMemberByPhone(ZXDT.CallCenter.Model.T_Call_MeetingItems model)
        {
            return dal.UpdateAddMemberByPhone(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool UpdateRemoveMemberByPhone(ZXDT.CallCenter.Model.T_Call_MeetingItems model)
        {
            return dal.UpdateRemoveMemberByPhone(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool UpdateMuteMemberByPhone(ZXDT.CallCenter.Model.T_Call_MeetingItems model)
        {
            return dal.UpdateMuteMemberByPhone(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool UpdateUnMuteMemberByPhone(ZXDT.CallCenter.Model.T_Call_MeetingItems model)
        {
            return dal.UpdateUnMuteMemberByPhone(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_MeetingItemId)
        {

            return dal.Delete(F_MeetingItemId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_MeetingItemIdlist)
        {
            return dal.DeleteList(F_MeetingItemIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Call_MeetingItems GetModel(int F_MeetingItemId)
        {

            return dal.GetModel(F_MeetingItemId);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_MeetingItems> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Call_MeetingItems> DataTableToList(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Call_MeetingItems> modelList = new List<ZXDT.CallCenter.Model.T_Call_MeetingItems>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Call_MeetingItems model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new ZXDT.CallCenter.Model.T_Call_MeetingItems();
                    if (dt.Rows[n]["F_MeetingItemId"] != null && dt.Rows[n]["F_MeetingItemId"].ToString() != "")
                    {
                        model.F_MeetingItemId = int.Parse(dt.Rows[n]["F_MeetingItemId"].ToString());
                    }
                    if (dt.Rows[n]["F_MeetingId"] != null && dt.Rows[n]["F_MeetingId"].ToString() != "")
                    {
                        model.F_MeetingId = int.Parse(dt.Rows[n]["F_MeetingId"].ToString());
                    }
                    if (dt.Rows[n]["F_Phone"] != null && dt.Rows[n]["F_Phone"].ToString() != "")
                    {
                        model.F_Phone = dt.Rows[n]["F_Phone"].ToString();
                    }
                    if (dt.Rows[n]["F_Name"] != null && dt.Rows[n]["F_Name"].ToString() != "")
                    {
                        model.F_Name = dt.Rows[n]["F_Name"].ToString();
                    }
                    if (dt.Rows[n]["F_UserId"] != null && dt.Rows[n]["F_UserId"].ToString() != "")
                    {
                        model.F_UserId = int.Parse(dt.Rows[n]["F_UserId"].ToString());
                    }
                    if (dt.Rows[n]["F_IsMain"] != null && dt.Rows[n]["F_IsMain"].ToString() != "")
                    {
                        model.F_IsMain = int.Parse(dt.Rows[n]["F_IsMain"].ToString());
                    }
                    if (dt.Rows[n]["F_State"] != null && dt.Rows[n]["F_State"].ToString() != "")
                    {
                        model.F_State = int.Parse(dt.Rows[n]["F_State"].ToString());
                    }
                    if (dt.Rows[n]["F_InTime"] != null && dt.Rows[n]["F_InTime"].ToString() != "")
                    {
                        model.F_InTime = DateTime.Parse(dt.Rows[n]["F_InTime"].ToString());
                    }
                    if (dt.Rows[n]["F_OutTime"] != null && dt.Rows[n]["F_OutTime"].ToString() != "")
                    {
                        model.F_OutTime = DateTime.Parse(dt.Rows[n]["F_OutTime"].ToString());
                    }
                    if (dt.Rows[n]["F_TiCount"] != null && dt.Rows[n]["F_TiCount"].ToString() != "")
                    {
                        model.F_TiCount = int.Parse(dt.Rows[n]["F_TiCount"].ToString());
                    }
                    if (dt.Rows[n]["F_JingCount"] != null && dt.Rows[n]["F_JingCount"].ToString() != "")
                    {
                        model.F_JingCount = int.Parse(dt.Rows[n]["F_JingCount"].ToString());
                    }
                    if (dt.Rows[n]["F_CreateTime"] != null && dt.Rows[n]["F_CreateTime"].ToString() != "")
                    {
                        model.F_CreateTime = DateTime.Parse(dt.Rows[n]["F_CreateTime"].ToString());
                    }
                    if (dt.Rows[n]["F_Remark"] != null && dt.Rows[n]["F_Remark"].ToString() != "")
                    {
                        model.F_Remark = dt.Rows[n]["F_Remark"].ToString();
                    }
                    if (dt.Rows[n]["F_Int1"] != null && dt.Rows[n]["F_Int1"].ToString() != "")
                    {
                        model.F_Int1 = int.Parse(dt.Rows[n]["F_Int1"].ToString());
                    }
                    if (dt.Rows[n]["F_DateTime1"] != null && dt.Rows[n]["F_DateTime1"].ToString() != "")
                    {
                        model.F_DateTime1 = DateTime.Parse(dt.Rows[n]["F_DateTime1"].ToString());
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}

